Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11.objects
Interface Object.ObjectClass

Enclosing interface:
  Object

public static interface Object.ObjectClass

This interface defines the available object classes as defined by PKCS#11: DATA, CERTIFICATE, PUBLIC_KEY, PRIVATE_KEY, SECRET_KEY, HW_FEATURE, DOMAIN_PARAMETERS or VENDOR_DEFINED.

Invariants

Field Summary
`static Long` | `CERTIFICATE` The indentifier for a certificate object or any sub-class of it.
`static Long` | `DATA` The indentifier for a data object or any sub-class of it.
`static Long` | `DOMAIN_PARAMETERS` The indentifier for a domain parameters object or any sub-class of it.
`static Long` | `HW_FEATURE` The indentifier for a hardware feature object or any sub-class of it.
`static Long` | `MECHANISM` The indentifier for a mechanism object or any sub-class of it.
`static Long` | `PRIVATE_KEY` The indentifier for a private key object or any sub-class of it.
`static Long` | `PUBLIC_KEY` The indentifier for a public key object or any sub-class of it.
`static Long` | `SECRET_KEY` The indentifier for a secret key object or any sub-class of it.
`static Long` | `VENDOR_DEFINED` The indentifier for a vendor-defined object.

Field Detail

### DATA

    public static final Long DATA

  The indentifier for a data object or any sub-class of it.

### CERTIFICATE

    public static final Long CERTIFICATE

  The indentifier for a certificate object or any sub-class of it.

### PUBLIC_KEY

    public static final Long PUBLIC_KEY

  The indentifier for a public key object or any sub-class of it.

### PRIVATE_KEY

    public static final Long PRIVATE_KEY

  The indentifier for a private key object or any sub-class of it.

### SECRET_KEY

    public static final Long SECRET_KEY

  The indentifier for a secret key object or any sub-class of it.

### HW_FEATURE

    public static final Long HW_FEATURE

  The indentifier for a hardware feature object or any sub-class of it.

### DOMAIN_PARAMETERS

    public static final Long DOMAIN_PARAMETERS

  The indentifier for a domain parameters object or any sub-class of it.

### MECHANISM

    public static final Long MECHANISM

  The indentifier for a mechanism object or any sub-class of it.

### VENDOR_DEFINED

    public static final Long VENDOR_DEFINED

  The indentifier for a vendor-defined object. Any Long object with a value bigger than this one is also a valid vendor-defined object class identifier.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2002, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved.